# build/parseReqs.c File Reference

Parse dependency tag from spec file or from auto-dependency generator. More...

`#include "system.h"`
`#include "rpmbuild.h"`
`#include "debug.h"`

Go to the source code of this file.

## Data Structures

struct | ReqComp

## Defines

#define | SKIPWHITE(_x) {while(*(_x) && (xisspace(*_x) || *(_x) == ',')) (_x)++;}
#define | SKIPNONWHITE(_x) {while(*(_x) &&!(xisspace(*_x) || *(_x) == ',')) (_x)++;}

## Functions

int | parseRCPOT (Spec spec, Package pkg, const char *field, int tag, int index, rpmsenseFlags tagflags)
| Parse dependency relations from spec file and/or autogenerated output buffer.

## Variables

static struct ReqComp | ReqComparisons []

## Detailed Description

Parse dependency tag from spec file or from auto-dependency generator.

Definition in file parseReqs.c.

## Define Documentation

#define SKIPNONWHITE | ( | _x |  | ) | {while(*(_x) &&!(xisspace(*_x) || *(_x) == ',')) (_x)++;}

Definition at line 33 of file parseReqs.c.

#define SKIPWHITE | ( | _x |  | ) | {while(*(_x) && (xisspace(*_x) || *(_x) == ',')) (_x)++;}

Definition at line 32 of file parseReqs.c.

## Variable Documentation

struct ReqComp ReqComparisons[]`[static]`